<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{videoedit.html}"
>
<head>
    <title>Video file</title>
    <!--    <link rel="stylesheet" th:href="@{/css/newspaceship.css}" type="text/css"/>-->
</head>

<body>
<div layout:fragment="content_videoedit">
    <h1>Video file</h1>
    <p>Video file represents uploaded video file for one device</p>


    <div th:replace="fragments/videoFiles :: videoFileTable"></div>

    <div id="uploadVideoContent">

        <h3>Uploading new file</h3>
        <h4>You can choose from types:</h4>
        <ol>
            <li th:each="type : ${trackTypes}" th:text="${type}"></li>
        </ol>

        <p>This text describes valid video formats.</p>


        <br>


        <form id="uploadVideoForm" method="POST" enctype="multipart/form-data" th:object="${videoFileForm}"
              th:attr="maxFileSize=${maxFileSize}"
              th:action="@{/file/upload}">

            <div class="form-group">
                <label for="inputFilename" class="col-sm-2 col-form-label">Filename</label>
                <div class="col-sm-10">
                    <input type="text" th:field="*{filename}" class="form-control"
                           th:classappend="${#fields.hasErrors('filename')} ? is-invalid : ''" id="inputFilename">

                    <div th:if="${#fields.hasErrors('filename')}" class="invalid-feedback"
                         th:errors="*{filename}"></div>
                </div>
            </div>


            <div class="form-group">
                <label for="inputDescription" class="col-sm-2 col-form-label">Description</label>
                <div class="col-sm-10">
                    <input type="text" th:field="*{description}" class="form-control"
                           th:classappend="${#fields.hasErrors('description')} ? is-invalid : ''" id="inputDescription">

                    <div th:if="${#fields.hasErrors('description')}" class="invalid-feedback"
                         th:errors="*{description}"></div>
                </div>
            </div>

            <div class="form-group col-sm-9 custom-file custom-file-video">
                <label for="videoFileInput" class="custom-file-label"
                       th:classappend="${#fields.hasErrors('file')} ? is-invalid : ''">File to upload</label>

                <input class="custom-file-input" type="file" th:field="*{file}" id="videoFileInput"/>
                <div th:if="${#fields.hasErrors('file')}" class="invalid-feedback" th:errors="*{file}"></div>
            </div>

            <div class="form-row">
                <div class="form-group col-md-6">
                    <label class="ml-3 my-1 mr-2" for="inlineFormCustomSelectPref">Folder</label>
                    <select class="custom-select custom-folder-dropdown my-1 mr-sm-2" id="inlineFormCustomSelectPref"
                            th:field="*{folder}">
                        <option th:if="${folders.isEmpty()}" selected>No parent</option>
                        <option th:each="folder : ${folders}" th:value="${folder.getId()}"
                                th:text="${folder.getFolder()}"></option>
                    </select>
                </div>
                <div class="form-group col-md-4">
                    <label for="inputFilename" class="ml-3 my-1 mr-2">File type</label>
                    <div class="col-sm-12">
                        <select class="custom-select my-1 mr-sm-2" id="fileTypeSelect"
                                th:field="*{trackType}">
                            <option th:if="${trackTypes.isEmpty()}" selected>Error no track type do display</option>
                            <option th:each="trackType : ${trackTypes}" th:value="${trackType.id}"
                                    th:text="${trackType.name}"></option>
                        </select>
                    </div>
                </div>
            </div>

<!--            <div id="durationFormField" class="form-group">-->
<!--                <label for="inputDescription" class="col-sm-2 col-form-label">Duration</label>-->
<!--                <div class="col-sm-10">-->
<!--                    <input disabled type="number" value="10" th:field="*{duration}" class="form-control" th:placeholder="10"-->
<!--                           th:classappend="${#fields.hasErrors('duration')} ? is-invalid : ''" id="inputDuration">-->

<!--                    <div th:if="${#fields.hasErrors('duration')}" class="invalid-feedback"-->
<!--                         th:errors="*{duration}"></div>-->
<!--                </div>-->
<!--            </div>-->

            <div class="form-group row">
                <div class="col-sm-12">
                    <button id="uploadFileSubmitButton" type="submit" class="btn btn-primary float-right"
                            data-toggle="tooltip"
                            data-placement="right"
                            title="This action will upload file and create record in database">Upload
                    </button>
                    <p class="float-right videoSizeText" id="videoSize"></p>
                </div>
            </div>
        </form>

    </div>

</div>

</body>

<div layout:fragment="content_js_secondary">
    <script type="module" src="/js/videofile.js"></script>
</div>
